POST/hooks/shopalerts

Create Hook

This API call uses a Web Hook to deliver the Queue status to a specified endpoint. Once a hook is defined, the status whether a successful completion will be sent to your endpoint.
POST/hooks/shopalerts

Mandatory Fields

  • Endpoint
  • Authtype (Can be “none”, “basic”, “querystring”, “authheader”, “header”, “bearer”)
  • Token OR Username & Password

Parameter Details

NameInTypeRequiredDescription
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
201CreatedSuccess
400Bad RequestBad RequestNone
401UnauthorizedAuthorization FailedNone
409ConflictAlready ExistsNone
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X POST /hooks/shopalerts \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: API_KEY'

Body parameter

{
  "endpoint": "www.sample.com",
  "authType": "Basic",
  "userName": "username",
  "password": "password",
  "token": ""
}

Example responses

201 Response
{
  "requestId": 1,
  "message": "Hook created successfully"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.